{$I SWITCHES.INC}
{ $Id: outcon.pas 1.4 1993/04/28 23:08:37 Ricki Exp $ }
unit outcon;
{ manages output going to the console }

{
  This code is in the public domain. You may use it freely.
  There are no guarantees, either expressed or implied,
  as to either merchantability or fitness for a particular
  purpose. The author's liability is limited to the amount
  you paid for it.

  Richard Breuer

  Brunssumstrasse 6
  5100 Aachen
  Germany

  Phone:  +49/241/85605
  Fax:    +49/241/8021329
  Email:  ricki@pool.informatik.rwth-aachen.de
}

{
        $Log: outcon.pas $
        Revision 1.4  1993/04/28  23:08:37  Ricki
        new procedure conclose

        Revision 1.3  1993/04/05  19:59:33  Ricki
        address change

        Revision 1.2  1993/03/19  17:34:01  Ricki
        write to file DEBUG.$$$ instead of stdout in DEBUG mode

        Revision 1.1  1993/01/22  00:54:35  Ricki
        Initial revision
}

{
        Conditional defines
          DEBUG     Enables debugging mode. Sets debug := true
}

interface

  const
    pversion = '$Id: outcon.pas 1.4 1993/04/28 23:08:37 Ricki Exp $';

  var
    conout: text;

  procedure conclose;

implementation

  var
    conbuf: array [1..1024] of char;

  procedure conclose;
  begin close(conout) end;

begin
{$IFDEF DEBUG}
  assign(conout,'DEBUG.$$$');
{$ELSE}
  assign(conout,'CON');
{$ENDIF}
  settextbuf(conout,conbuf,1024);
  rewrite(conout)
end.
