head	1.3;
access;
symbols
	rutils40:1.2;
locks;
comment	@        @;


1.3
date	93.04.05.19.59.07;	author Ricki;	state Exp;
branches;
next	1.2;

1.2
date	93.03.19.17.31.55;	author Ricki;	state Rel;
branches;
next	1.1;

1.1
date	93.01.22.00.54.36;	author Ricki;	state Exp;
branches;
next	;


desc
@high-resolution timer
@

1.3
log
@address change
@
text
@{$I SWITCHES.INC}
{ $Id: timer.pas 1.2 1993/03/19 17:31:55 Ricki Exp $ }
Unit Timer;
{ high-resolution timer }

{
  This code is in the public domain. You may use it freely.
  There are no guarantees, either expressed or implied,
  as to either merchantability or fitness for a particular
  purpose. The author's liability is limited to the amount
  you paid for it.

  Richard Breuer

  Brunssumstrasse 6
  5100 Aachen
  Germany

  Phone:  +49/241/85605
  Fax:    +49/241/8021329
  Email:  ricki@@pool.informatik.rwth-aachen.de


  This unit can also be found in the DRCPAS10 package by

  David R. Conrad, 17 Nov 92
  David_Conrad@@mts.cc.wayne.edu
  dave@@michigan.com

  at SIMTEL in the directory msdos/turbopas.
}

{
        $Log: timer.pas $
        Revision 1.2  1993/03/19  17:31:55  Ricki
        *** empty log message ***

        Revision 1.1  1993/01/22  00:54:36  Ricki
        Initial revision
}

{
        Conditional defines
          N+     Sets float=double for higher precision
          N-     Sets float=real
}

Interface

  const
    pversion = '$Id: timer.pas 1.2 1993/03/19 17:31:55 Ricki Exp $';

  type
{$IFOPT N+}
    float = double;
{$ELSE}
    float = real;
{$ENDIF}

  const
    TIX_PER_SECOND : float = 1193180 / 65536;
    TIX_PER_DAY = $1800B0;

  var
    ClockTix : Longint absolute $0040:$006C;

  function difftix(start,finish: longint): longint;
    {
      difference between to clock ticks; handles midnight wraparound
    }

Implementation

  function difftix(start,finish: longint): longint;
  begin
    if (finish<start) then finish := finish+TIX_PER_DAY;
    difftix := finish-start;
  end;

End.
@


1.2
log
@*** empty log message ***
@
text
@d2 1
a2 1
{ $Id: TIMER.PAS 1.1 1993/01/22 00:54:36 Ricki Exp $ }
d21 1
a21 1
  Email:  ricki@@rwthi3.informatik.rwth-aachen.de
d34 4
a37 1
        $Log: TIMER.PAS $
d51 1
a51 1
    pversion = '$Id: TIMER.PAS 1.1 1993/01/22 00:54:36 Ricki Exp $';
@


1.1
log
@Initial revision
@
text
@d1 2
a2 1
{ $Id$ }
d34 3
a36 1
        $Log$
d48 1
a48 1
    pversion = '$Id$';
@

