head	1.3;
access;
symbols
	rutils40:1.2;
locks;
comment	@        @;


1.3
date	93.04.18.19.18.57;	author Ricki;	state Exp;
branches;
next	1.2;

1.2
date	93.03.19.17.15.28;	author Ricki;	state Rel;
branches;
next	1.1;

1.1
date	93.02.10.22.15.02;	author Ricki;	state Exp;
branches;
next	;


desc
@extract comments from 4DOS DESCRIPT.ION files
@

1.3
log
@update to new mail address
@
text
@{$I SWITCHES.INC}
{ $Id: descript.pas 1.2 1993/03/19 17:15:28 Ricki Exp $ }
unit DESCRIPT;
{ extract comments from 4DOS DESCRIPT.ION files }

{
  This code is in the public domain. You may use it freely.
  There are no guarantees, either expressed or implied,
  as to either merchantability or fitness for a particular
  purpose. The author's liability is limited to the amount
  you paid for it.

  Richard Breuer

  Brunssumstrasse 6
  5100 Aachen
  Germany

  Phone:  +49/241/85605
  Fax:    +49/241/8021329
  Email:  ricki@@pool.informatik.rwth-aachen.de
}

{
        $Log: descript.pas $
        Revision 1.2  1993/03/19  17:15:28  Ricki
        *** empty log message ***

        Revision 1.1  1993/02/10  22:15:02  Ricki
        Initial revision
}

interface

  uses
    files,
    strings;

  procedure getdesc(var f: text; fn: namexstr; var desc: string);
  { f is the assigned 4DOS DESCRIPT.ION file, fn the name of the file for
    which the description is to be read. If none, '' is returned }

implementation

  {$i-} { turn off IO checking for all procedures }

  procedure getdesc(var f: text; fn: namexstr; var desc: string);
  var
    p: byte;
  begin
    fn := strupcase(fn);
    { check all entries until eof or fn is found }
    reset(f);
    while (ioresult=0) and (not eof(f)) do begin
      readln(f,desc);
      p := pos(' ',desc);
      if (p>0) and (strupcase(copy(desc,1,p-1))=fn) then begin
        delete(desc,1,p); desc := tailtrim(desc,[' ']); exit
      end
    end;
    desc := ''
  end;

end.
@


1.2
log
@*** empty log message ***
@
text
@d2 1
a2 1
{ $Id: descript.pas 1.1 1993/02/10 22:15:02 Ricki Exp $ }
d21 1
a21 1
  Email:  ricki@@rwthi3.informatik.rwth-aachen.de
d26 3
@


1.1
log
@Initial revision
@
text
@d2 1
a2 1
{ $Id: DESCRIPT.PAS 1.2 1993/01/22 08:10:39 Ricki Exp $ }
d25 3
a27 1
        $Log$
@

