head	1.3;
access;
symbols
	rutils40:1.2;
locks;
comment	@        @;


1.3
date	93.04.05.20.00.03;	author Ricki;	state Exp;
branches;
next	1.2;

1.2
date	93.03.19.17.39.58;	author Ricki;	state Rel;
branches;
next	1.1;

1.1
date	93.01.22.00.55.30;	author Ricki;	state Exp;
branches;
next	;


desc
@linear transformations
@

1.3
log
@address change
@
text
@{$I SWITCHES.INC}
{ $Id: lt.pas 1.2 1993/03/19 17:39:58 Ricki Exp $ }
Unit LT;
{ linear transformations }

{
  This code is in the public domain. You may use it freely.
  There are no guarantees, either expressed or implied,
  as to either merchantability or fitness for a particular
  purpose. The author's liability is limited to the amount
  you paid for it.

  Richard Breuer

  Brunssumstrasse 6
  5100 Aachen
  Germany

  Phone:  +49/241/85605
  Fax:    +49/241/8021329
  Email:  ricki@@pool.informatik.rwth-aachen.de
}

{
        $Log: lt.pas $
        Revision 1.2  1993/03/19  17:39:58  Ricki
        *** empty log message ***

        Revision 1.1  1993/01/22  00:55:30  Ricki
        Initial revision
}

Interface

  const
    pversion = '$Id: lt.pas 1.2 1993/03/19 17:39:58 Ricki Exp $';

  Procedure LTTransformationRR(X,Y,I,J: Real; Var A,B: Real);
  Procedure LTTransformationRI(X,Y: Real; I,J: longint; Var A,B: Real);
  Procedure LTTransformationIR(X,Y: longint; I,J: Real; Var A,B: Real);
  Procedure LTTransformationII(X,Y,I,J: longint; Var A,B: Real);
    {
      All procedures compute two values A and B so that the interval
      [X,Y] is linear transformed to the interval [I,J], ie. for all
      v in [X,Y] is  w:=A*v+B  the corresponding value in [I,J].
    }

Implementation

  {local} Function Float(I: longint): Real;
  Begin Float := I End;

  {local} Function EQ(X,Y: Real): Boolean;
  Const Eps: Real = 1.0E-6;
  Begin EQ := Abs(X-Y)<Eps End;

  Procedure LTTransformationRR(X,Y,I,J: Real; Var A,B: Real);
  Begin
    if (eq(x,y)) then begin
      a := 0.0;
      b := x
    end else begin
      a := (j-i)/(y-x);
      b := i-a*x
    end
  End;

  Procedure LTTransformationRI(X,Y: Real; I,J: longint; Var A,B: Real);
  Begin LTTransformationRR(X,Y,Float(I),Float(J),A,B) End;

  Procedure LTTransformationIR(X,Y: longint; I,J: Real; Var A,B: Real);
  Begin LTTransformationRR(Float(X),Float(Y),I,J,A,B) End;

  Procedure LTTransformationII(X,Y,I,J: longint; Var A,B: Real);
  Begin LTTransformationRR(Float(X),Float(Y),Float(I),Float(J),A,B) End;

End.
@


1.2
log
@*** empty log message ***
@
text
@d2 1
a2 1
{ $Id: LT.PAS 1.1 1993/01/22 00:55:30 Ricki Exp $ }
d21 1
a21 1
  Email:  ricki@@rwthi3.informatik.rwth-aachen.de
d25 4
a28 1
        $Log: LT.PAS $
d36 1
a36 1
    pversion = '$Id: LT.PAS 1.1 1993/01/22 00:55:30 Ricki Exp $';
@


1.1
log
@Initial revision
@
text
@d1 2
a2 1
{ $Id$ }
d25 3
a27 1
        $Log$
d33 1
a33 1
    pversion = '$Id$';
@

