head	1.2;
access;
symbols
	rutils40:1.1;
locks;
comment	@        @;


1.2
date	93.04.18.11.48.13;	author Ricki;	state Exp;
branches;
next	1.1;

1.1
date	93.03.09.13.07.50;	author Ricki;	state Rel;
branches;
next	;


desc
@ASET lex specification for TPLY 2.0
@

1.2
log
@corrected a spelling error
@
text
@%{
{ $Id: asetl.l 1.1 1993/03/09 13:07:50 Ricki Exp $ }
{ ASET lex specification for TPLY 2.0 }

{
        $Log: asetl.l $
        Revision 1.1  1993/03/09  13:07:50  Ricki
        Initial revision
}

{$I asety.h}

function lookup(s: string; var id: integer): boolean;
var
  m,n: integer;
begin
  s := strupcase(s);
  m := 1; n := maxopnum;
  lookup := true;
  while (m<=n) do begin
    id := m+(n-m) div 2;
    if (s=ops[id].name) then exit
    else if (s>ops[id].name) then m := id+1
                             else n := id-1
  end;
  lookup := false
end;

%}

special		[-+*/%(),!<>=^']

str0            [^-+*/%(),!<>=^' \t\n]+
str1            '[^'\n]*'

%%

^#.*            ;

":="        	return(T_ASSIGN);
"**"		return(ord('^'));
"div"           return(ord(T_DIV));
"mod"           return(ord('%'));

"and"		return(T_AND);
"or"		return(T_OR);
"nand"          return(T_NAND);
"nor"           return(T_NOR);
"xor"           return(T_XOR);
"not"		return(T_NOT);

"!="            return(T_NE);
"=="            return(ord('='));
"ne"            return(T_NE);
"eq"            return(ord('='));
"lt"            return(ord('<'));
"gt"            return(ord('>'));
"le"            return(T_LE);
"ge"            return(T_GE);

^{str0}         begin
                  { the first value will never be treated as a function,
                    because it is always the target of an assignment }
                  Passign(yylval.strg,yytext);
                  return(T_VALUE)
                end;

{str0}          begin
                  if (lookup(yytext,yylval.func)) then return(T_FUNCTION)
                  else begin
                    Passign(yylval.strg,yytext);
                    return(T_VALUE)
                  end
                end;

{str1}		begin
                  Passign(yylval.strg,copy(yytext,2,yyleng-2));
                  return(T_VALUE)
                end;

[ \t]+          ;
{special}       return(ord(yytext[1]));
\n             	return(ord(yytext[1]));

%%
@


1.1
log
@Initial revision
@
text
@d2 1
a2 1
{ $Id$ }
d6 3
a8 1
        $Log$
d63 1
a63 1
                    because it it always the target of an assignment }
@

